## org.tartarus.snowball
Class Among

    java.lang.Object
      org.tartarus.snowball.Among

    public class Among

extends Object

This is the rev 502 of the Snowball SVN trunk, but modified: made abstract and introduced abstract method stem to avoid expensive reflection in filter class. refactored StringBuffers to StringBuilder uses char[] as buffer instead of StringBuffer/StringBuilder eq_s,eq_s_b,insert,replace_s take CharSequence like eq_v and eq_v_b reflection calls (Lovins, etc) use EMPTY_ARGS/EMPTY_PARAMS

Field Summary
`Method` `method`
`SnowballProgram` `methodobject`
`int` `result`
`char[]` `s`
`int` `s_size`
`int` `substring_i`

Constructor Summary
`Among(String s, int substring_i, int result, String methodname, SnowballProgram methodobject)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### s_size

    public final int s_size

### s

    public final char[] s

### substring_i

    public final int substring_i

### result

    public final int result

### method

    public final Method method

### methodobject

    public final SnowballProgram methodobject

Constructor Detail

### Among

    public Among(String s,
                 int substring_i,
                 int result,
                 String methodname,
                 SnowballProgram methodobject)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.